Changeset 26825

Show
Ignore:
Timestamp:
01.02.2013 08:14:12 (6 years ago)
Author:
davidb
Message:

Perl version check for CPAN inclusion changed to something more general once version number >=5.10. This is so working with newer versions of Perl will pick up on the right XML::Parser.pm file automatically now.

Files:
1 modified

Legend:

Unmodified
Added
Removed
  • main/trunk/greenstone2/perllib/XMLParser.pm

    r24706 r26825  
    3535    # Note: $] encodes the version number of perl 
    3636    if ($]>=5.010) {  
    37     $perl_dir = "perl-5.10"; 
     37        $perl_dir="perl-5.".substr($],3,2); 
    3838    } 
    3939    elsif ($]>5.008) {